# Playbook Assembly

## Gets the assembly rich text content for the specified playbook.

> Retrieves the assembly rich text JSON content for the specified playbook.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"text":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"},"marks":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark"},"nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes":{"type":"object","properties":{"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid","nullable":true},"type":{"type":"string","nullable":true},"filterDataTypeId":{"type":"integer","format":"int32","nullable":true},"properties":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty"},"nullable":true},"level":{"type":"integer","format":"int32","nullable":true},"href":{"type":"string","nullable":true},"textAlign":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes":{"required":["id","label","parentMentionId","renderAs","type","uuid"],"type":"object","properties":{"type":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid"},"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"renderAs":{"type":"string","nullable":true},"parentMentionId":{"type":"string","format":"uuid"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/playbooks/{playbookIdentifier}/assembly":{"get":{"tags":["Playbook Assembly"],"summary":"Gets the assembly rich text content for the specified playbook.","description":"Retrieves the assembly rich text JSON content for the specified playbook.","parameters":[{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Saves the assembly rich text content for the specified playbook.

> Saves the assembly rich text JSON content for the specified playbook.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"text":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"},"marks":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark"},"nullable":true},"content":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonNode"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes":{"type":"object","properties":{"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid","nullable":true},"type":{"type":"string","nullable":true},"filterDataTypeId":{"type":"integer","format":"int32","nullable":true},"properties":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty"},"nullable":true},"level":{"type":"integer","format":"int32","nullable":true},"href":{"type":"string","nullable":true},"textAlign":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionProperty":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextMentionPropertyAttributes":{"required":["id","label","parentMentionId","renderAs","type","uuid"],"type":"object","properties":{"type":{"type":"string","nullable":true},"uuid":{"type":"string","format":"uuid"},"id":{"type":"string","nullable":true},"label":{"type":"string","nullable":true},"renderAs":{"type":"string","nullable":true},"parentMentionId":{"type":"string","format":"uuid"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonMark":{"required":["type"],"type":"object","properties":{"type":{"type":"string","nullable":true},"attrs":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJsonAttributes"}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/playbooks/{playbookIdentifier}/assembly":{"put":{"tags":["Playbook Assembly"],"summary":"Saves the assembly rich text content for the specified playbook.","description":"Saves the assembly rich text JSON content for the specified playbook.","parameters":[{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"The rich text JSON content to save.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.Review.RichTextJsonModels.RichTextJson"}}}},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```
